﻿using Qwirkle.Views;
using Microsoft.Maui.Controls;
using Qwirkle.Pages;
using QwirkleClassLibrary.Games;
using QwirkleClassLibrary.Players;

namespace Qwirkle
{
    public partial class App
    {
        public App()
        {
            InitializeComponent();

            MainPage = new AppShell();

            Routing.RegisterRoute(nameof(SetPlayers), typeof(SetPlayers));
            Routing.RegisterRoute(nameof(Gameboard), typeof(Gameboard));
            Routing.RegisterRoute(nameof(Rules), typeof(Rules));
            Routing.RegisterRoute(nameof(MainPage), typeof(MainPage));
            Routing.RegisterRoute(nameof(Qwirkle.Pages.Leaderboard), typeof(Qwirkle.Pages.Leaderboard));

        }

        public Game Game { get; set; } = new();
        public QwirkleClassLibrary.Players.Leaderboard LD { get; set; } = new();

    }
}
